curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"inputs": [
{
"name": "my_custom_property"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read"
payload = {
"archived": True,
"inputs": [{ "name": "my_custom_property" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archived: true, inputs: [{name: 'my_custom_property'}]})
};
fetch('https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Read a batch of properties
Lee una lista especificada de propiedades.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Parámetros de consulta
Cuerpo
Especifica si la propiedad está archivada.
Indica el nivel de sensibilidad de los datos, como "non_sensitive", "sensitive" o "highly_sensitive".
highly_sensitive, non_sensitive, sensitive Show child attributes
Show child attributes
Respuesta
successful operation
La marca de tiempo que indica cuándo se completó la operación por lotes.
Show child attributes
Show child attributes
La marca de tiempo que indica cuándo comenzó a procesarse la operación por lotes.
El estado actual de la operación por lotes, con los siguientes valores posibles: CANCELED, COMPLETE, PENDING o PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Una colección de URL que se enlazan con documentación o recursos relacionados con la operación por lotes.
Show child attributes
Show child attributes
La marca de tiempo que indica cuándo se solicitó la operación por lotes.